Bug 212311 - databases/postgis-jdbc: fix source unzip problem
Summary: databases/postgis-jdbc: fix source unzip problem
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-01 16:45 UTC by Rainer Hurling
Modified: 2016-09-06 18:15 UTC (History)
1 user (show)

See Also:
amdmi3: merge-quarterly+


Attachments
make unzip functional again, even with r304989 (264 bytes, patch)
2016-09-01 16:45 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2016-09-01 16:45:55 UTC
Created attachment 174292 [details]
make unzip functional again, even with r304989

For some time now, the FreeBSD package build server complains about a problem with databases/postgis-jdbc [1][2]. This happens only on HEAD and since 2016-08-29, so that probably an update in the base system (r304989 ?) makes trouble here. Thanks to kib@ for the hint :)

Some investigation in the Makefile of the port turns out, that a simple 'USES=zip:infozip' circumvents the problem. The appended patch should silence the package build server, even if the (assumed) problem in base remains.


Tested with Poudriere (HEADa/i, 11.0rc2a/i, 10.3a/i and 9.3a/i).

Portlint -AC complains about 
  > FATAL: Makefile: you should use ${JAVALIBDIR} in BUILD_DEPENDS/RUN_DEPENDS 
  > to define dependencies on JAR files installed in ${JAVAJARDIR}
but ${JAVALIBDIR} *is* used in RUN_DEPENDS and the build and installation went fine and the port works. So probably a false positive?


[1] http://beefy4.nyi.freebsd.org/data/head-amd64-default/p421100_s305036/logs/postgis-jdbc-2.1.7.log
[2] http://beefy3.nyi.freebsd.org/data/head-i386-default/p421100_s305036/logs/postgis-jdbc-2.1.7.log
Comment 1 commit-hook freebsd_committer 2016-09-06 15:37:37 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep  6 15:36:50 UTC 2016
New revision: 421437
URL: https://svnweb.freebsd.org/changeset/ports/421437

Log:
  - Update to 1.84
  - Add missing depends

  PR:		212311
  Submitted by:	rhurlin@gwdg.de

Changes:
  head/games/oolite/Makefile
  head/games/oolite/distinfo
Comment 2 lightside 2016-09-06 15:48:01 UTC
(In reply to comment #1)
> PR:		212311
The patch for games/oolite update to v1.84 was related to bug 212358.
Comment 3 commit-hook freebsd_committer 2016-09-06 18:13:03 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep  6 18:12:36 UTC 2016
New revision: 421454
URL: https://svnweb.freebsd.org/changeset/ports/421454

Log:
  - Switch to USES=zip:infozip to fix extraction problem on recent current

  PR:		212311
  Submitted by:	rhurlin@gwdg.de (maintainer)

Changes:
  head/databases/postgis-jdbc/Makefile
Comment 4 commit-hook freebsd_committer 2016-09-06 18:15:05 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep  6 18:14:40 UTC 2016
New revision: 421455
URL: https://svnweb.freebsd.org/changeset/ports/421455

Log:
  MFH: r421454

  - Switch to USES=zip:infozip to fix extraction problem on recent current

  PR:		212311
  Submitted by:	rhurlin@gwdg.de (maintainer)
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q3/
  branches/2016Q3/databases/postgis-jdbc/Makefile